Show / Hide Table of Contents

# Interface IOpenIddictValidationDataProtectionFormatter

###### Namespace: OpenIddict.Validation.DataProtection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public interface IOpenIddictValidationDataProtectionFormatter

### Methods

#### ReadToken(BinaryReader)

##### Declaration

    ClaimsPrincipal ReadToken(BinaryReader reader)

##### Parameters

Type | Name | Description
--- | --- | ---
BinaryReader | reader |

##### Returns

Type | Description
--- | ---
ClaimsPrincipal |